org.apache.ignite.internal.management.tx

## Class TxTask.TxJob

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<TxCommand.AbstractTxCommandArg,TxTaskResult>
    - - org.apache.ignite.internal.management.tx.TxTask.TxJob

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob, PublicAccessJob

Enclosing class:
  TxTask

    public static class TxTask.TxJob
    extends VisorJob<TxCommand.AbstractTxCommandArg,TxTaskResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TxTaskResult` `run(IgniteEx ignite, TxCommandArg arg, @Nullable TxInfoCommandArg infoArg)`
`protected TxTaskResult` `run(@Nullable TxCommand.AbstractTxCommandArg arg)` Execution logic of concrete job.

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute, requiredPermissions`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### run

    protected TxTaskResult run(@Nullable
                               @Nullable TxCommand.AbstractTxCommandArg arg)
                        throws IgniteException

Execution logic of concrete job.

Specified by:
  `run` in class `VisorJob<TxCommand.AbstractTxCommandArg,TxTaskResult>`
Parameters:
  `arg` - Task argument.
Returns:
  Result.
Throws:
  `IgniteException` - In case of error.

#### run

    public static TxTaskResult run(IgniteEx ignite,
                                   TxCommandArg arg,
                                   @Nullable
                                   @Nullable TxInfoCommandArg infoArg)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023